program castcltst;

%include lb:[22,320]general3.typ;
%include de:[107,114]clunk.typ;
%include de:[22,320]castcl.ext;

var
  in_string	: ch18;
  out_clunk	: clunk_type;
  i		: integer;
  places	: integer;
  start		: integer;
  negitive	: boolean;

begin
  write('Value:');
  readln(in_string);
  write('Start:');
  readln(start);
  write('Places:');
  readln(places);
  castcl(in_string,start,places,negitive,out_clunk);
  writeln(out_clunk[1],out_clunk[2],out_clunk[3],out_clunk[4]);
  if negitive then writeln('NEGITIVE') else writeln('POSITIVE');
end.
